package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.SceneInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface SceneInfoDAO {
	int insert(SceneInfo entity);
	int update(SceneInfo entity);
	int exist(String id);
	SceneInfo get(String id);
	int delete(String id);
	List<SceneInfo> list();
	List<SceneInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}